Ipelib: ipe::PdfResources Class Reference

Ipelib

Classes | Public Member Functions | List of all members
ipe::PdfResources Class Reference
Ipe Base

`#include <iperesources.h>`

Inherits ipe::PdfResourceBase.

## Classes
struct | SPageNumber

## Public Member Functions
| PdfResources ()
virtual | ~PdfResources ()=default
bool | collect (const PdfDict *resources, PdfFile *file)
virtual const PdfObj * | object (int num) const noexcept
virtual const PdfDict * | baseResources () const noexcept
void | addPageNumber (SPageNumber &pn) noexcept
const Text * | pageNumber (int page, int view) const noexcept
const std::vector< int > & | embedSequence () const noexcept
void | show () const noexcept
bool | isIpeXForm (int num) const
void | setIpeXForm (int num)
Public Member Functions inherited from ipe::PdfResourceBase
| PdfResourceBase ()
virtual | ~PdfResourceBase ()
const PdfObj * | getDeep (const PdfDict *d, String key) const noexcept
const PdfDict * | getDict (const PdfDict *d, String key) const noexcept
const PdfDict * | resourcesOfKind (String kind) const noexcept
const PdfDict * | findResource (String kind, String name) const noexcept
const PdfDict * | findResource (const PdfDict *xf, String kind, String name) const noexcept

## Additional Inherited Members
Protected Attributes inherited from ipe::PdfResourceBase
std::unique_ptr< PdfDict > | iPageResources

## Detailed Description

All the resources needed by the text objects in the document.

## Constructor & Destructor Documentation

## ◆ PdfResources()

PdfResources::PdfResources | ( |  | ) |

## ◆ ~PdfResources()

virtual ipe::PdfResources::~PdfResources | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ collect()

bool PdfResources::collect | ( | const PdfDict * | resources,
|  | PdfFile * | file
| ) |  |

Collect (recursively) all the given resources (of the one latex page). Takes ownership of all the scanned objects.

References ipe::PdfDict::add(), ipe::PdfDict::count(), ipe::PdfObj::dict(), ipe::PdfDict::get(), ipe::PdfResourceBase::iPageResources, ipe::PdfDict::key(), ipe::PdfDict::value(), and ipe::String::z().

Referenced by ipe::Latex::readPdf().

## ◆ object()

const PdfObj * PdfResources::object | ( | int | num | ) | const
| virtualnoexcept

Implements ipe::PdfResourceBase.

## ◆ baseResources()

const PdfDict * PdfResources::baseResources | ( |  | ) | const
| virtualnoexcept

References ipe::PdfDict::get(), and ipe::PdfResourceBase::iPageResources.

## ◆ addPageNumber()

void PdfResources::addPageNumber | ( | SPageNumber & | pn | ) |
| noexcept

Referenced by ipe::Latex::addPageNumber().

## ◆ pageNumber()

const Text * PdfResources::pageNumber | ( | int | page,
|  | int | view
| ) |  | const
| noexcept

Referenced by ipe::CanvasBase::drawObjects().

## ◆ embedSequence()

const std::vector< int > & ipe::PdfResources::embedSequence | ( |  | ) | const
| inlinenoexcept

## ◆ show()

void PdfResources::show | ( |  | ) | const
| noexcept

References ipe::PdfResourceBase::iPageResources, and ipe::String::z().

## ◆ isIpeXForm()

bool PdfResources::isIpeXForm | ( | int | num | ) | const

## ◆ setIpeXForm()

void PdfResources::setIpeXForm | ( | int | num | ) |

Referenced by ipe::Latex::readPdf().

The documentation for this class was generated from the following files:

- iperesources.h
- iperesources.cpp